# PRODUCT INFO
skip_phases = ["buildinstall", "extra_files"]
release_name = 'Fedora'
release_short = 'Fedora'
release_version = '34'
release_type = 'updates'
release_is_layered = False
old_composes_per_release_type = True

# GENERAL SETTINGS
comps_file = {
    'scm': 'git',
    'repo': 'https://pagure.io/fedora-comps.git',
    'branch': 'main', # defaults to cvs/HEAD or git/main
    'file': 'comps-f34.xml',
    'command': 'make',
}
variants_file='variants.xml'
sigkeys = [

    '45719a39',

]
hashed_directories = True
comps_filter_environments = False

# RUNROOT settings
runroot = True
runroot_channel = 'compose'
runroot_tag = 'f34-build'

# PKGSET
pkgset_source = 'koji' # koji, repos
pkgset_koji_tag = 'f34-updates'
pkgset_koji_inherit = False
pkgset_allow_reuse = False
filter_system_release_packages = False

# GATHER
gather_method = 'deps'
gather_backend = 'dnf'
check_deps = False
greedy_method = 'build'
repoclosure_backend = 'dnf'

# CREATEREPO
createrepo_c = True
createrepo_checksum = 'sha256'
createrepo_deltas = [
    ('^Everything$', {'*': True})
]
createrepo_database = True

createrepo_extra_args = ['--zck', '--zck-dict-dir=/usr/share/fedora-repo-zdicts/f34']

# For epel8 we want to use xz compression for repodata
# https://pagure.io/epel/issue/71


# CHECKSUMS
media_checksums = ['sha256']
media_checksum_one_file = True
media_checksum_base_filename = 'Fedora-%(variant)s-%(version)s-%(date)s.%(respin)s-%(arch)s'
#jigdo
create_jigdo = False

additional_packages = [
    ('^Everything$', {
        '*': [
            '*',
            '*-debuginfo',
        ],
    }),
]
multilib = [
    ('^Everything$', {
        'x86_64': ['devel', 'runtime'],
         's390x': ['devel', 'runtime']
    })
]
filter_packages = []
# format: {arch|*: [packages]}
multilib_blacklist = {
    '*': ['kernel*', 'kernel-PAE*', 'kernel*debug*',
        'dmraid-devel', 'kdeutils-devel', 'mkinitrd-devel',
        'java-1.5.0-gcj-devel', 'java-1.7.0-icedtea-devel',
        'php-devel', 'java-1.6.0-openjdk-devel',
        'java-1.7.0-openjdk-devel', 'java-1.8.0-openjdk-devel',
        'httpd-devel', 'tomcat-native', 'php*', 'httpd',
        'krb5-server', 'krb5-server-ldap', 'mod_*', 'ghc-*',
        'mp'
    ],
}
# format: {arch|*: [packages]}
multilib_whitelist = {
    '*': ['libgnat', 'wine*', 'lmms-vst', 'nspluginwrapper',
        'libflashsupport', 'valgrind', 'perl-libs', 'redhat-lsb',
        'yaboot', 'syslinux-extlinux-nonlinux', 'syslinux-nonlinux',
        'syslinux-tftpboot', 'nosync', '*-static', 'apitrace-libs',
        'fakeroot-libs', 'postgresql-odbc', 'mysql-connector-odbc',
        'fakechroot-libs','mesa-vdpau-drivers', 'p11-kit-trust',
        'mariadb-connector-odbc', 'compiler-rt',
        'nvidia-query-resource-opengl-lib',
        'ibus-libs', 'ibus-gtk2', 'ibus-gtk3',
        'glib-networking', 'dssi-vst-wine', 'mangohud', 'glx-utils',
        'pipewire', 'iptables'
    ],
}
createiso_skip = [
        ('^Everything$', {
            '*': True,
            'src': True
        }),
    ]


ostree = {
    "^Everything$": [
        # Fedora Silverblue
        {
            "version": "!VERSION_FROM_VERSION_DATE_RESPIN",
            "treefile": "fedora-silverblue.yaml",
            "config_url": "https://pagure.io/workstation-ostree-config.git",
            "config_branch": "f34",
            "repo": [
                "Everything",
                
                # For F37 the compose location is going to be under /compose/branched/
                
                    "https://kojipkgs.fedoraproject.org/compose/34/latest-Fedora-34/compose/Everything/$basearch/os/"
                
            ]
            "ostree_repo": "/mnt/koji/compose/ostree/repo",
            
                "ostree_ref": "fedora/34/${basearch}/updates/silverblue",
            
            "tag_ref": False,
            "arches": ["x86_64", "ppc64le", "aarch64" ],
            "failable": ["x86_64", "ppc64le", "aarch64" ]
        },
        # Fedora Kinoite
        
    ]
}



translate_paths = [
   ('/mnt/koji/compose/', 'https://kojipkgs.fedoraproject.org/compose/'),
]
koji_profile = 'bodhi_koji'
link_type = 'hardlink-or-copy'